
QGIS Application - Bug report #21953

QGIS crashes in Print Composer Atlas when using "inverted polygons"

2019-04-29 03:41 PM - Barbara Angerer

Status: Feedback

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.7 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29768

Description

QGIS crashes when I try to load a layer to the print composer atlas, that uses "inverted polygons" style. I can load the layer in QGIS, but

when I click on the "update preview" button in the print composer, QGIS always crashes.

Crash Report:

Crash ID: 5df14c83dc28210786b2131bc3a2bf4d2173712e

Stack Trace

QTextOption::wrapMode :

QVectorPath::convertToPainterPath :

QRasterPaintEngine::penChanged :

QPolygonF::united :

QPolygonF::united :

QPolygonF::united :

QRasterPaintEngine::fill :

QPaintEngineEx::draw :

QPaintEngineEx::drawPath :

QgsFillSymbolLayer::_renderPolygon :

QgsSimpleFillSymbolLayer::renderPolygon :

QgsFillSymbol::renderPolygonUsingLayer :

QgsFillSymbol::renderPolygon :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeatureWithSymbol :

QgsRuleBasedRenderer::stopRender :

QgsInvertedPolygonRenderer::stopRender :

QgsMapHitTest::runHitTestLayer :

QgsMapHitTest::run :

QgsLayerTreeModel::setLegendFilter :

QgsLayoutItemLegend::doUpdateFilterByMap :

QgsLayoutItemLegend::paint :

QGraphicsScene::~QGraphicsScene :

QGraphicsScene::drawForeground :

QGraphicsScene::dragMoveEvent :

QGraphicsItem::dragMoveEvent :

QGraphicsEffectSource::draw :

QgsLayoutEffect::draw :

QGraphicsScene::drawItems :

QGraphicsScene::drawItems :
QGraphicsView::paintEvent :

QgsLayoutView::paintEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QApplication::windowIcon :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

QGraphicsScene::~QGraphicsScene :

QObject::event :

QGraphicsScene::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.7-Madeira

QGIS code revision: 5c56989325

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-04-29 03:44 PM - Barbara Angerer

- File layer_properties.png added

Properties of affected layer shown in attached figure.

#2 - 2019-05-01 05:56 PM - Giovanni Manghi

- Subject changed from QGIS crashes in Print Composer Atlas to QGIS crashes in Print Composer Atlas when using "inverted polygons"

#3 - 2019-05-21 05:40 PM - Giovanni Manghi

- Status changed from Open to Feedback

Duplicate of #21247 ?

Files

layer_properties.png 610 KB 2019-04-29 Barbara Angerer

2024-03-13 3/3


